%define major 6
%define minor 2
%define libname %mklibname upnp %{major}
%define develname %mklibname upnp -d

Summary:	Library and tools for the UPnP protocol
Summary(de):	Bibliothek und Werkzeuge für das UPnP Protokoll
Name:		libupnp
Version:	1.6.21
Release:	%mkrel 1
License:	BSD
Group:		System/Libraries
URL:		http://pupnp.sourceforge.net/
Source:		http://downloads.sourceforge.net/pupnp/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	%name < %version

%description
The Linux SDK for UPnP Devices (libupnp) provides developers with an API and
open source code for building control points, devices, and bridges that are
compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.

%package -n %{libname}
Summary:        Library and tools for the UPnP protocol
Summary(de):	Bibliothek und Werkzeuge für das UPnP Protokoll
Group:          System/Libraries
Obsoletes:	%mklibname upnp 0

%description -n %{libname}
The Linux SDK for UPnP Devices (libupnp) provides developers with an API and
open source code for building control points, devices, and bridges that are
compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.

%package -n %{develname}
Summary:	Header files and static libraries from %name
Summary(de):	Header Dateien und Entwicklerbibliotheken
Group:		Development/Libraries
Requires:	%{libname} >= %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname upnp 0 -d} < 1.6.5
Provides:	%mklibname upnp 0 -d
Obsoletes:	%mklibname upnp 3 -d
Provides:	%mklibname upnp 3 -d

%description -n %{develname}
Libraries and includes files for developing programs based on %name.

%prep
%setup -q

%build
%configure2_5x --disable-static \
	--enable-tools \
	--enable-ipv6

%make
								
%install
rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -name *.la | xargs rm -f


%files -n %{libname}
%defattr(-,root,root)
%doc LICENSE NEWS README THANKS TODO
%{_libdir}/*upnp.so.%{major}*
%{_libdir}/libthreadutil.so.%{major}*
%{_libdir}/*.so.%{minor}*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*pc

%clean
rm -rf %buildroot

%changelog
* Wed Feb 15 2017 adrianomorselli <adrianomorselli> 1.6.21-1uplos2017
- update
- removed old stuff
